/* FONTS */
@font-face {
  font-family: 'MarkPro';
  src: url('../fonts/subset-MarkPro-Heavy.eot');
  src: url('../fonts/subset-MarkPro-Heavy.eot?#iefix') format('embedded-opentype'),
       url('../fonts/subset-MarkPro-Heavy.woff') format('woff'),
       url('../fonts/subset-MarkPro-Heavy.ttf') format('truetype');
  font-weight: 900;
  font-style: normal;
}

/* HARD RESET */
* {
  margin: 0;
  padding: 0;
  list-style: none;
  border: none;
  outline: none;
}

/* PRELUDE */
html,
body {
  height: 100%;
}

::selection {
  background: #b3d4fc;
  text-shadow: none;
}

canvas,
iframe,
img,
svg,
video {
  vertical-align: middle;
}

a {
  color: inherit;
  text-decoration: none;
}

h1,
h2,
h3,
h4 {
  font-weight: inherit;
}

/* SITE STYLES */
html {
  color: #FFF;
  font: normal 900 1.5em/1.333 'MarkPro', Arial, Helvetica, sans-serif;
  letter-spacing: -.025em;
}
body {
  background-color: #7600d0;
}
html,
body {
  height: 100%;
}

.content_wrapper {
  margin-bottom: -60px;
  height: 100%;
}
  .content {
    position: relative;
    top: 50%;
    transform: translateY(-46%);
    padding-bottom: 60px;
    text-align: center;
    font-weight: 900;
  }
    .intro {
      margin-bottom: 2.5em;
      font-size: .75em;
      letter-spacing: 0;
    }
    .title {
      font-size: 5em;
      letter-spacing: -.035em;
    }
    .subtitle {
      font-size: 1.333em;
    }
    .app {
      width: 330px;
      margin: 1.8em auto 0;
    }
      .app__download-button {
        display: block;
        margin-bottom: .7em;
        padding: .52em 0;
        font-size: 1.25em;
        background-color: transparent;
        color: #fff;
        border-radius: .467em;
        border: solid 0.2em white;
        transition: all .2s ease-in;
      }
      .app__download-button:hover,
      .app__download-button:focus {
        background-color: #fff;
        color: #111;
        /*transform: translateY(-3px);*/
      }
      .app__download-button:active {
        transition-duration: .05s;
        /*transform: translateY(0);*/
      }
      .app__description {
        font-size: .833em;
        margin-bottom: 1.5em;
      }
        .app__description > li {
          display: inline-block;
        }
        .app__description > li:not(:last-child) {
          margin-right: 1.4em;
        }
      .app__rating {
        width: 140px;
        margin: 0 auto;
        font-size: .667em;
        line-height: 1.125em;
      }
      .app__rating-stars {
        display: block;
        margin: 0 auto .3em;
      }

.footer {
  display: flex;
  justify-content: space-between;
  position: relative;
  z-index: 11;
  height: 60px;
  line-height: 2.5em;
  color: #fff
}
  .footer__section {
    margin: 0 2em;
    font-size: .625em;
    letter-spacing: 0;
  }
    .footer__section a {
      color: #fff;
      position: relative;
      transition: box-shadow .15s ease-in;
    }
    .footer__section a:not(:first-child) {
      margin-left: 1.8em;
    }
    .footer__section a:hover {
      box-shadow: 0 2px 0 #fff;
    }

.app-store-icon {
  position: absolute;
  top: 20px;
  right: 20px;
}

.background-container {
/*
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  z-index: -1;
  */
}
  .background-container > * {
  /*
    display: block;
    position: relative;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -45%);
    */
    position: fixed;
    right: 0;
    bottom: 0;
    min-width: 100%; 
    min-height: 100%;
    z-index: -1;
  }

.modal {
  position: fixed;
  top: 0;
  left: 0;
  z-index: 10;
  width: 100%;
  height: 100%;
  overflow-x: auto;
  visibility: hidden;
  opacity: 0;
  background-color: rgba(0,0,0, .8);
  color: #fff;
}
.modal:target {
  visibility: visible;
  opacity: 1;
}
.modal:target .modal__body {
  opacity: 1;
  transform: translateY(0) scale(1);
}
.modal:target .modal__body--center {
  transform: translateY(-55%) scale(1);
}
  .modal__close {
    position: fixed;
    top: 40px;
    right: 40px;
    z-index: 11;
    width: 54px;
    height: 54px;
    background: url('../img/close.svg') no-repeat 0 0;
    background-size: contain;
    transform: scale(1);
    transition: transform .12s cubic-bezier(0.22, 0.61, 0.36, 1);
  }
  .modal__close:hover {
    transform: scale(1.1);
  }
  .modal__body {
    width: 800px;
    margin: 250px auto 150px;
    opacity: 0;
    transform: translateY(.2em) scale(.98);
    transition: all .3s ease-out;
  }
  .modal__body--center {
    margin-top: 0;
    position: relative;
    top: 50%;
    transform: translateY(-55%) scale(.95);
    text-align: center;
  }
  .modal__body .modal__caption {
    margin-bottom: 2em;
    font-size: .833em;
    letter-spacing: 0;
    color: #88E207;
  }
  .modal__body h2 {
    margin-bottom: .55em;
    font-size: 2.5em;
    line-height: 1.267em;
  }
  .modal__body h3 {
    margin-top: 1.7em;
    margin-bottom: .9em;
    font-size: .833em;
    letter-spacing: 0;
  }
  .modal__body p {
    margin-top: .9em;
    margin-bottom: .9em;
  }
  .modal__body p.large {
    font-size: 1.2em;
  }
  .modal__body a {
    text-decoration: underline;
  }
  .modal__body a.email {
    font-size: 5em;
    letter-spacing: -.035em;
    text-decoration: none;
  }
  .modal__body ul {
    margin-left: 1em;
    margin-bottom: 1.5em;
  }
  .modal__body ul > li {
    list-style: circle;
  }
  .modal__body ul > li:not(:last-child) {
    margin-bottom: .5em;
  }
  .modal__body iframe,
  .modal__body img {
    max-width: 100%;
  }

/* GEEK PORN */
@media (max-width: 800px) {
  .content_wrapper {
    min-height: 100%;
    height: auto;
    margin-bottom: -100px;
  }
    .content {
      position: relative;
      top: 0;
      transform: translateY(0);
      padding: 30px .5em 130px;
    }
      .intro {
        margin-bottom: 1.6em;
      }
      .title {
        font-size: 2.917em;
        line-height: .986em;
        margin-bottom: .4em;
      }
      .subtitle {
        font-size: 1em;
      }
      .app {
        max-width: 330px;
        width: auto;
        margin-top: 1.6em;
      }
  .footer {
    flex-direction: column;
    justify-content: center;
    min-height: 100px;
    text-align: center;
    line-height: 1.6em;
  }
    .footer__section {
      margin: 0;
      font-size: .542em;
    }
      .footer__section a {
        box-shadow: 0 1px 0 transparent;
      }
      .footer__section a:hover {
        box-shadow: 0 1px 0 #fff;
      }
      .footer__section a:not(:first-child) {
        margin-left: 1.4em;
      }
      .footer__section--copy a {
        color: #999;
      }
      .footer__section--copy a:hover {
        box-shadow: 0 1px 0 #999;
      }
  .modal__close {
    top: 20px;
    right: 20px;
    width: 46px;
    height: 46px;
  }
  .modal__body {
    width: auto;
  }
  .modal__body:not(.modal__body--center) {
    margin: 60px 1em 150px;
    font-size: .750em;
  }
  .modal__body a.email {
    font-size: 14vw;
  }
  .app-store-icon {
    display: none;
  }
}
@media (max-width: 320px) {
  .footer__section a:not(:first-child) {
    margin-left: .8em;
  }
}